FROM debian:testing
RUN apt update -y && apt install -y --no-install-recommends apache2 php libapache2-mod-php sqlite3 php-sqlite3 && \
apt clean && \
rm -rf /var/lib/apt/lists/* && \
mkdir -p /etc/postfix/ && \
rm /var/www/html/index.html
COPY . /var/www/html/
RUN mv /var/www/html/outils/conf/php.ini /etc/php/7.4/apache2 && \
mv /var/www/html/outils/conf/apache2.conf /etc/apache2/ && \
chmod +x /var/www/html/outils/genenv.sh && \
/var/www/html/outils/genenv.sh

CMD /usr/sbin/apachectl -D FOREGROUND